;Example of bdbfs plugin file.
;Yet another (almost) screen saver...

LOCAL tOld,aM,_jx,_jy,_s,grey,black,nb7,nb4

cCodePage:='cp866'
tOld:=TIME()
aM:={;
	'Wait a minute...',;
	"Don't worry...",;
	"I'm waiting...",;
	'Press any key...',;
	'What about a beer?',;
	{||'Working: '+ElapTime(tOld,Time())};
	}
grey:='w+/w'
black:='n/w'

WHILE .T.
	Scroll()
	_jx:=Random(0,MaxRow()-12)
	_jy:=Random(0,MaxCol()-22)
	Window(_jx,_jy, _jx + 10, _jy + 20,'')
	_jx:=_jx+1
	_jy:=_jy+1

	nB7:=_jy+7
	nB4:=_jy+4

	DevPos(_jx,nb4)
	DevOut('ммммммммммм','gr+/w')	//0

	_jx:=_jx+1
	DevPos(_jx,_jy+2)
	DevOut('мм','gr+/w')		//1
	DevOut('ммммммммммм','gr+/b')
	DevOut('мм','gr+/w')

	_jx:=_jx+1
	DevPos(_jx,nb4)
	DevOut('олллллллллн',grey)	//2

	_jx:=_jx+1
	DevPos(_jx,_jy+3)
	DevOut('ўлл',grey)		//3
	DevOut('ммлллмм','w+/r')
	DevOut('ллў',grey)

	_jx:=_jx+1
	DevPos(_jx,nb4)
	DevOut('ллллл',grey)		//4
	DevOut('Г','g+/rb')
	DevOut('ллллл',grey)

	_jx:=_jx+1
	DevPos(_jx,nb4)
	DevOut('олллллллллн',grey)	//5

	_jx:=_jx+1
	DevPos(_jx,_jy+5)
	DevOut('ол',grey)		//6
	DevOut('л',black)
	DevOut('ммм','w/n')
	DevOut('л',black)
	DevOut('лн',grey)

	DevPos(_jx+1,nb7)
	DevOut('ппппп',grey)		//7

	InKey(0.2)

	DevPos(_jx,nb7)
	DevOut('ппппп',grey)
	DevOut('лн',grey)
	InKey(0.2)

	DevPos(_jx,nb7)
	DevOut('л',black)		//6
	DevOut('ммм','w/n')
	DevOut('л',black)
	DevOut('лн',grey)

	_jx:=_jx+1
	DevPos(_jx,nb7)
	DevOut('ппппп',grey)		//7

	_s:=am[Random(1,LEN(aM))]
	IF ValType(_s)=='B'
		_s:=Eval(_s)
	ENDIF

	_jx:=_jx+1
	DevPos(_jx,_jy+1)
	DevOut(_s,'w+/b')		//8

	IF InKey(2)<>0
		#BREAK
	ENDIF
ENDDO
